Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class HostObjectInfo

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.access.VectorDataCollection
                  ru.biosoft.plugins.javascript.HostObjectInfo

All Implemented Interfaces:
  DataCollection, DataElement

Direct Known Subclasses:
  ClassInfo

public class HostObjectInfo
extends VectorDataCollection

Provides description of JavaScript host object. Description also includes information about hostObject properties and functions.

`HostObjectInfo` implements `DataCollection` interface, so it can be shown in repository tree.

See Also:
  `JScriptContext.defineFunction(org.eclipse.core.runtime.IConfigurationElement, org.mozilla.javascript.Context, org.mozilla.javascript.ScriptableObject, ru.biosoft.access.DataCollection)`

Field Summary
`protected java.lang.String` | `description` The function description

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE, vector`

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`HostObjectInfo(java.lang.String name, DataCollection parent)` Creates info for the specified host object.

Method Summary
`java.lang.String` | `generateHtml()`
`java.lang.String` | `getDescription()` Utility method that returns data collection description.
`java.lang.String` | `getType()`
`void` | `setDescription(java.lang.String description)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Returns a String representation of the data collection.
`java.lang.String` | `toString(boolean isHtml)`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`close, doGet, doPut, doRemove, getAt, getNameList, getSize, iterator, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, contains, contains, doAddPostNotify, doAddPreNotify, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getDataElementType, getInfo, initLog, isMutable, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### description

    protected java.lang.String description

  The function description

Constructor Detail

### HostObjectInfo

    public HostObjectInfo(java.lang.String name,
                          DataCollection parent)

  Creates info for the specified host object.

Parameters:
  `name` - - host object name
  `parent` - - `DataCollection` to which this host object belongs. Generally it is `plugins/Javascript/host objects`.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `AbstractDataCollection`
  Returns a String representation of the data collection.

  Overrides:
    `toString` in class `AbstractDataCollection`
  Returns:
    String representation of the data collection.

### generateHtml

    public java.lang.String generateHtml()

### toString

    public java.lang.String toString(boolean isHtml)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `AbstractDataCollection`
  Utility method that returns data collection description.

  Overrides:
    `getDescription` in class `AbstractDataCollection`

### setDescription

    public void setDescription(java.lang.String description)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.